<?php
/**
 * Piwik - free/libre analytics platform
 *
 * @link http://piwik.org
 * @license http://www.gnu.org/licenses/gpl-3.0.html GPL v3 or later
 *
 */
namespace Piwik\Plugins\AutoSetIgnoreCookie;

use Piwik\Piwik; // required for user login check
use Piwik\Tracker\IgnoreCookie; // required for IgnoreCookie class

class AutoSetIgnoreCookie extends \Piwik\Plugin
{
	public function registerEvents()
	{
		return array(
			'Platform.initialized' => 'autoSetIgnoreCookie'
		);
	}

	public function autoSetIgnoreCookie()
	{
		// get current user username
		$user = Piwik::getCurrentUserLogin();

		// if user is logged-in => auto set ignore cookie
		if ($user != 'anonymous') {
			$ignoreCookie = IgnoreCookie::getIgnoreCookie();
			$ignoreCookie->set('ignore', '*');
			$ignoreCookie->save();
		}
	}
}
